APIReferenzFocusregions
/focusregions/{id}/results
Execute a saved focusregion search and return results. The authenticated user must be a member of the focusregion's team.
AuthorizationBearer <token>
API key as Bearer token
In: header
Path Parameters
id*string
Focusregion ID
Length
1 <= lengthQuery Parameters
newSince?string
Only return results ingested since this datetime (inclusive, ISO 8601). Useful for polling new content since the last check.
Format
date-timeResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.poliscope.de/v2/focusregions/string/results"{
"data": [
{
"groupKey": "string",
"groupType": "meeting",
"groupCreationDate": "2019-08-24T14:15:22Z",
"score": 0,
"hits": [
{
"id": "string",
"score": 0,
"text": "string",
"chunkType": "agendaItemTitle",
"highlights": [
[
0,
0
]
],
"agendaItemId": "string",
"documentId": "string",
"proposalId": "string",
"pageFrom": 0,
"pageTo": 0,
"pageFromOffsetPct": 0,
"pageFromOffset": 0,
"pageToOffset": 0,
"poliscopeUrl": "string",
"fileUrl": "string"
}
],
"totalHits": 0,
"context": {
"date": "2019-08-24T14:15:22Z",
"entityName": "string",
"entityLevel": "string",
"entityId": "string",
"parents": [
{
"id": "string",
"name": "string",
"level": "string"
}
],
"location": {
"lat": 0,
"lon": 0
},
"meeting": {
"id": "string",
"title": "string",
"date": "2019-08-24T14:15:22Z",
"url": "string",
"committee": "string",
"bookmarks": [
{
"id": "string",
"firstName": "string",
"lastName": "string"
}
]
},
"proposal": {
"id": "string",
"title": "string",
"type": "string",
"url": "string",
"reference": "string"
},
"document": {
"id": "string",
"title": "string",
"type": "string",
"url": "string"
}
}
}
],
"mapPoints": [
{
"location": {
"lat": 0,
"lon": 0
},
"score": 0,
"entityId": "string",
"entityName": "string",
"groupKey": "string"
}
],
"meta": {
"total": 0,
"totalHits": 0,
"totalMapPoints": 0,
"hasMore": true
}
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}